Onboarding

Save Admin Onboarding Data

Upserts the org's admin onboarding record: company info with encrypted tax ID, products, payment/funding config, Persona inquiry.

POSThttps://api.toku.com/hris/save-admin-onboarding-data

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/save-admin-onboarding-data' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "completedSteps": [
    "string"
  ],
  "companyInfo": {
    "legalName": "string",
    "tradingName": "string",
    "entityType": "string",
    "country": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "stateProvince": "string",
    "postalCode": "string",
    "taxId": "string",
    "hiresUSEmployees": true
  },
  "paymentConfig": {
    "mode": "FIAT_ONLY",
    "selectedToken": "string",
    "selectedNetwork": "string"
  },
  "selectedProducts": [
    "TOKU_CONTRACTOR"
  ],
  "fundingConfig": {
    "bankSetupComplete": true,
    "cryptoFundingType": "BANK_CONVERT"
  },
  "insuranceSelection": {
    "healthPlan": "string",
    "dentalPlan": "string"
  },
  "stepSummaries": {},
  "personaInquiryId": "string"
}'
200 response
{}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

completedStepsstring[]required
companyInfoobjectrequired
Show child attributes
legalNamestringrequired
tradingNamestringrequired
entityTypestringrequired
countrystringrequired
addressLine1stringrequired
addressLine2stringrequired
citystringrequired
stateProvincestringrequired
postalCodestringrequired
taxIdstringrequired
hiresUSEmployeesboolean | null
paymentConfigobjectrequired
Show child attributes
modestring | nullrequired

Available options: FIAT_ONLY, FIAT_AND_STABLECOIN, null

selectedTokenstring | nullrequired
selectedNetworkstring | nullrequired
selectedProductsstring[]required
fundingConfigobjectrequired
Show child attributes
bankSetupCompletebooleanrequired
cryptoFundingTypestring | nullrequired

Available options: BANK_CONVERT, MULTI_SIG_WALLET, BOTH, null

insuranceSelectionobjectrequired
Show child attributes
healthPlanstring | nullrequired
dentalPlanstring | nullrequired
stepSummariesobject
personaInquiryIdstring | null

Allowed: matches ^inq_[a-zA-Z0-9_-]+$

Response

200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits